//
//  HJTsqlite.m
//  Open
//
//  Created by 看看智能 on 2018/1/19.
//  Copyright © 2018年 黄江涛 . All rights reserved.
//

#import "HJTsqlite.h"

@implementation HJTsqlite

-(instancetype)init
{
    if (self = [super init]) {
        
        
        
    }
    return self;
}

+(void)addDate:(id)model
{
  bool success =   [CWSqliteModelTool insertOrUpdateModel:model];
    if (success) {
        NSLog(@"成功");
    }
}

+(NSArray *)selectData:(int)key andModel:(Class)modelName andName:(NSString*)name
{
    
        NSArray *result = [CWSqliteModelTool queryModels:modelName name:name relation:CWDBRelationTypeLess value:@(key) uid:nil targetId:nil];
    
    return result;
}

@end
